from ase.io import read, write
from ase import  Atoms
import numpy as np
import copy
import sys

p   = read('POSCAR.4x2x2',format='vasp')
vdir= p.get_scaled_positions()
pt  = Atoms()
cutd = 0
Fe_list=[]
for atom in p:
    i = atom.index
    if atom.symbol == 'O': continue
    yin = 1
    zin = 1
    xin = vdir[i][cutd] < 0.64 and vdir[i][cutd] > 0.05
    if xin and yin and zin: 
        pt += p[i]
        Fe_list.append(i)
    #if vdir[i][0] > 0.51 and vdir[i][0] < 0.59 and vdir[i][2] > 0.7 and vdir[i][1] < 0.3:
    #    pt += p[i]
    #    Fe_list.append(i)
box = p.get_cell()
pt.set_cell(box)

for i in range(len(p)):
   if p[i].symbol == 'Fe': 
      continue
   dij = p.get_distances(i, Fe_list, mic=True)
   CN = sum(dt < 3 for dt in dij)
   print CN
   if CN > 1:  pt += p[i]

write('POSCAR_surface',pt,format='vasp', direct=True)
